﻿using RimWorld;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UnityEngine;
using Verse;
using VFECore.Abilities;
using Ability = VFECore.Abilities.Ability;

namespace OutlandMotz
{
    public class Hediff_MotzAbilities : Hediff_Abilities
    {
        public new bool giveRandomAbilities = false;

        public override void PostAdd(DamageInfo? dinfo)
        {
            base.PostAdd(dinfo);
            AddAbility();
        }

        public void AddAbility()
        {
            CompAbilities comp = pawn.GetComp<CompAbilities>();
            if (!comp.HasAbility(MotzDefOf.Outland_Spell_FleetingMovement))
            {
                comp.GiveAbility(MotzDefOf.Outland_Spell_FleetingMovement);
            }
        }
    }
}
